
/******** WINDOWS HLLAPI HEADER FILE  ********/

/******** DLL HLLAPI FUNCTION PROTOTYPE ******/
// NOTE: Remove the comment marks from the prototype if you
//		 are using loadtime dynamic linking.  The prototype 
//		 is not needed for runtime dynamic linking
// VOID FAR PASCAL _stdcall WinHLLAPI(LPWORD, LPBYTE, LPWORD, LPWORD);
// VOID FAR PASCAL _stdcall HLLAPI(LPINT, LPBYTE, LPINT, LPINT);
// int  APIENTRY _stdcall WinHLLAPIStartup(WORD, LPWHLLAPIDATA);
// BOOL APIENTRY _stdcall WinHLLAPICleanup(void);

/******** WINDOWS HLLAPI RETURN CODES ********/

#define WHLLOK				0			// SUCCESSFUL
#define WHLLNOTCONNECTED	1			// NOT CONNECTED TO PRESENTATION SPACE
#define WHLLBLOCKNOTAVAIL	1			// REQUESTED SIZE IS NOT AVAILABLE
#define WHLLPARAMETERERROR	2			// PARAMETER ERROR/INVALID FUNCTION
#define WHLLBLOCKIDINVALID	2			// INVALID BLOCK ID WAS SPECIFIED
#define WHLLFTXCOMPLETE		3			// FILE TRANSFER COMPLETE
#define WHLLFTXSEGMENTED	4			// FILE TRANSFER COMPLETE / SEGMENTED
#define WHLLBUSY			4			// PRESENATION SPACE IS BUSY
#define WHLLINHIBITED		5			// INHIBITED / KKEYBOARD LOCKED
#define WHLLTRUNCATED		6			// DATA TRUNCATED
#define WHLLPOSITIONERROR	7			// INVALID PRESENTATION SPACE POSITION
#define WHLLNOTAVAILABLE	8			// UNAVAILABLE OPERATION
#define WHLLSYSERROR		9			// SYSTEM ERROR
#define WHLLNOTSUPPORTED	10			// FUNCTION NOT SUPPORTED
#define WHLLUNAVAILABLE		11			// RESOURCE IS UNAVAILABLE
#define WHLLPSENDED			12			// THE SESSION WAS STOPPED
#define WHLLUNDEFINEDKEY	20			// UNDEFINED KEY COMBINATION
#define WHLLOIAUPDATE		21			// OIA UPDATED
#define WHLLPSUPDATE		22			// PS UPDATED
#define WHLLBOTHUPDATE		23			// BOTH PS AND OIA UPDATED
#define WHLLNOFIELD			24			// NO SUCH FIELD FOUND
#define WHLLNOKEYSTROKES	25			// NO KEYSTROKES ARE AVAILABLE
#define WHLLPSCHANGED		26			// PS OR OIA CHANGED
#define WHLLFTXABORTED		27			// FILE TRANSFER ABORTED
#define WHLLZEROLENFIELD	28			// FIELD LENGTH IS ZERO
#define WHLLKEYOVERFLOW		31			// KEYSTROKE OVERFLOW
#define WHLLSFACONN			32			// OTHER APPLICATION ALREADY CONNECTED
#define WHLLTRANCANCLI		34			// MESSAGE SENT INBOUND TO HOST CANCELLED
#define WHLLTRANCANCL		35			// OUTBOUND TRANS FROM HOST CANCELLED
#define WHLLHOSTCLOST		36			// CONTACT WITH HOST WAS LOST
#define WHLLOKDISABLED		37			// THE FUNCTION WAS SUCCESSFUL
#define WHLLNOTCOMPLETE		38			// THE REQUESTED FN WAS NOT COMPLETED
#define WHLLSFDDM			39			// ONE DDM SESSION ALREADY CONNECTED
#define WHLLSFDPEND			40			// DISCONNECTED W ASYNC REQUESTS PENDING
#define WHLLBUFFINUSE		41			// SPECIFIED BUFFER CURRENTLY IN USE
#define WHLLNOMATCH			42			// NO MATCHING REQUEST FOUND
#define WHLLLOCKERROR		43			// API ALREADY LOCKED OR UNLOCKED

#define WHLLINVALIDFUNCTIONNUM	301		// INVALID FUNCTION NUMBER
#define WHLLFILENOTFOUND		302		// FILE NOT FOUND
#define WHLLACCESSDENIED		305		// ACCESS DENIED
#define WHLLMEMORY				308		// INSUFFICIENT MEMORY
#define WHLLINVALIDENVIRONMENT	310		// INVALID ENVIRONMENT
#define WHLLINVALIDFORMAT		311		// INVALID FORMAT

#define WHLLINVALIDPSID			9998	// INVALID PRESENTATION SPACE ID
#define WHLLINVALIDRC			9999	// INVALID ROW OR COLUMN CODE
#define WHLLDESCRIPTION_LEN		127

typedef struct tag_WHLLAPIDATA
{
	WORD wVersion;
	char szDescription[WHLLDESCRIPTION_LEN + 1];
} WHLLAPIDATA, * PWHLLAPIDATA, FAR* LPWHLLAPIDATA;